---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfmodw001.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50A00, symBinAddr: 0x63F0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52940, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52D30, symBinAddr: 0x8720, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53CD0, symBinAddr: 0x96C0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53CE0, symBinAddr: 0x96D0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50540, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50544, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50548, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50690, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50748, symBinAddr: 0x6238, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5074C, symBinAddr: 0x623C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50750, symBinAddr: 0x6240, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50754, symBinAddr: 0x6244, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50758, symBinAddr: 0x6248, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50760, symBinAddr: 0x6250, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50778, symBinAddr: 0x6268, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50780, symBinAddr: 0x6270, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50788, symBinAddr: 0x6278, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50790, symBinAddr: 0x6280, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50798, symBinAddr: 0x6288, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDFC0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x507E0, symBinAddr: 0x6290, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x507E8, symBinAddr: 0x6298, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x507F8, symBinAddr: 0x62A8, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50800, symBinAddr: 0x62B0, symSize: 0x0 }
  - { offsetInCU: 0x91F6, offset: 0x91F6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x14D0, symSize: 0x80 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1420, symSize: 0xB0 }
  - { offsetInCU: 0x92E6, offset: 0x92E6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1320, symSize: 0x100 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1550, symSize: 0x220 }
  - { offsetInCU: 0x975E, offset: 0x975E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1770, symSize: 0xA0 }
  - { offsetInCU: 0x9811, offset: 0x9811, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1810, symSize: 0x110 }
  - { offsetInCU: 0x9907, offset: 0x9907, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1920, symSize: 0x150 }
  - { offsetInCU: 0x9A63, offset: 0x9A63, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A70, symSize: 0x30 }
  - { offsetInCU: 0x9B44, offset: 0x9B44, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1AA0, symSize: 0x150 }
  - { offsetInCU: 0x9D3C, offset: 0x9D3C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1BF0, symSize: 0x160 }
  - { offsetInCU: 0x9EC8, offset: 0x9EC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1D50, symSize: 0x1B0 }
  - { offsetInCU: 0xA0E3, offset: 0xA0E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1F00, symSize: 0xA0 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1FA0, symSize: 0x20 }
  - { offsetInCU: 0xA1E9, offset: 0xA1E9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1FC0, symSize: 0x20 }
  - { offsetInCU: 0xA220, offset: 0xA220, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1FE0, symSize: 0x20 }
  - { offsetInCU: 0xA38F, offset: 0xA38F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2000, symSize: 0x1A0 }
  - { offsetInCU: 0xA6AD, offset: 0xA6AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x21A0, symSize: 0x80 }
  - { offsetInCU: 0xA776, offset: 0xA776, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2220, symSize: 0x6C0 }
  - { offsetInCU: 0xB2EC, offset: 0xB2EC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA1C0, symBinAddr: 0x34A0, symSize: 0xB0 }
  - { offsetInCU: 0xB363, offset: 0xB363, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x28E0, symSize: 0x70 }
  - { offsetInCU: 0xB41F, offset: 0xB41F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2950, symSize: 0xA0 }
  - { offsetInCU: 0xB54A, offset: 0xB54A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x29F0, symSize: 0x40 }
  - { offsetInCU: 0xB640, offset: 0xB640, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2A30, symSize: 0x2B0 }
  - { offsetInCU: 0xB9E6, offset: 0xB9E6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2CE0, symSize: 0xC0 }
  - { offsetInCU: 0xBB2C, offset: 0xBB2C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2DA0, symSize: 0x10 }
  - { offsetInCU: 0xBBEE, offset: 0xBBEE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2DB0, symSize: 0x240 }
  - { offsetInCU: 0xBED7, offset: 0xBED7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2FF0, symSize: 0x10 }
  - { offsetInCU: 0xBF2D, offset: 0xBF2D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3000, symSize: 0x170 }
  - { offsetInCU: 0xC14E, offset: 0xC14E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x3170, symSize: 0x10 }
  - { offsetInCU: 0xC1D0, offset: 0xC1D0, size: 0x8, addend: 0x0, symName: _setWatch, symObjAddr: 0x9EA0, symBinAddr: 0x3180, symSize: 0xE0 }
  - { offsetInCU: 0xC378, offset: 0xC378, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0x9F80, symBinAddr: 0x3260, symSize: 0x160 }
  - { offsetInCU: 0xC5A2, offset: 0xC5A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_setWatch, symObjAddr: 0xA0E0, symBinAddr: 0x33C0, symSize: 0x10 }
  - { offsetInCU: 0xC635, offset: 0xC635, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_touchfld0, symObjAddr: 0xA0F0, symBinAddr: 0x33D0, symSize: 0x40 }
  - { offsetInCU: 0xC6D7, offset: 0xC6D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_check, symObjAddr: 0xA130, symBinAddr: 0x3410, symSize: 0x80 }
  - { offsetInCU: 0xC738, offset: 0xC738, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw001_getRes, symObjAddr: 0xA1B0, symBinAddr: 0x3490, symSize: 0x10 }
  - { offsetInCU: 0xC76D, offset: 0xC76D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA270, symBinAddr: 0x3550, symSize: 0x36A }
...
